# You can 'source' this file to set the context for kubectl:
#   source ./env.sh

if [ -n "${BASH_SOURCE+x}" ]; then
  # Bash
  SCRIPT_DIR="$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
else
  # Zsh
  SCRIPT_DIR=${0:a:h}
fi
export KUBECONFIG="${SCRIPT_DIR}/kubeconfig.yaml"
export TALOSCONFIG="${SCRIPT_DIR}/talosconfig.yaml"
unset SCRIPT_DIR
