---
talos_control_lb:
  children:
    cluster_[NAME]_control_lb:
talos_control_nodes:
  children:
    cluster_[NAME]_control_nodes:
talos_worker_nodes:
  children:
    cluster_[NAME]_worker_nodes:
talos_hardware_nodes:
  children:
    cluster_[NAME]_hardware_nodes:
talos_first_nodes:
  hosts:
    c1.[NAME].k8s.snel.com:

cluster_[NAME]:
  vars:
    cluster_name: [NAME].k8s.snel.com
    ingress_ips:
      - 185.62.___.___  # Rancher + Traefik
      - 185.62.___.___  # extra IP         
  children:
    cluster_[NAME]_control_lb:
      hosts:
        control.[NAME].k8s.snel.com:
          ansible_host: 185.62.___.___
    cluster_[NAME]_control_nodes:
      hosts:
        c1.[NAME].k8s.snel.com:
          ansible_host: 185.62.___.___
        c2.[NAME].k8s.snel.com:
          ansible_host: 185.62.___.___
        c3.[NAME].k8s.snel.com:
          ansible_host: 185.62.___.___
    cluster_[NAME]_worker_nodes:
      hosts:
        w1.[NAME].k8s.snel.com:
          ansible_host: 185.62.___.___
        w2.[NAME].k8s.snel.com:
          ansible_host: 185.62.___.___
        w3.[NAME].k8s.snel.com:
          ansible_host: 185.62.___.___
    cluster_[NAME]_hardware_nodes:
      hosts:
        # hw1.[NAME].k8s.snel.com:
        #   ansible_host: 77.95.___.___
        #   talos_disk: /dev/nvme0n1
        #   mayastor_disk: /dev/nvme1n1
        #   network_interface: bond0
        #   network_interface_bond:
        #     mode: balance-rr
        #     miimon: 100
        #     updelay: 200
        #     downdelay: 200
        #     interfaces:
        #       - enp196s0f1
        #       - enp65s0f1